Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon_1_1_0
Class OperationsMetadata

    java.lang.Object
      org.deegree.owscommon_1_1_0.OperationsMetadata

    public class OperationsMetadata

extends Object

`OperationsMetadata` encapsulates the ows 1.1.0 operations metadata section of a capabilities document.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`OperationsMetadata(List<Operation> operations, List<DomainType> parameters, List<DomainType> constraints, Element extendedCapabilities)`

Method Summary
`List<DomainType>` | `getConstraints()`
`Element` | `getExtendedCapabilities()`
`List<Operation>` | `getOperations()`
`List<DomainType>` | `getParameters()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationsMetadata

    public OperationsMetadata(List<Operation> operations,
                              List<DomainType> parameters,
                              List<DomainType> constraints,
                              Element extendedCapabilities)

Parameters:
  `operations` - data about the operations
  `parameters` - metadata about params
  `constraints` - metadata about constraints.
  `extendedCapabilities` - anytype, therefore saving as xml element.

Method Detail

### getOperations

    public final List<Operation> getOperations()

  Returns:
    the operations.

### getParameters

    public final List<DomainType> getParameters()

  Returns:
    the parameters.

### getConstraints

    public final List<DomainType> getConstraints()

  Returns:
    the constraints.

### getExtendedCapabilities

    public final Element getExtendedCapabilities()

  Returns:
    the extendedCapabilities.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org